package server;

import java.io.DataInputStream;
import java.io.DataOutput;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class Server {
    private final int PUERTO = 9876;
    private ServerSocket serversocket;
    private Socket socket;
    public Server() throws IOException {
        serversocket = new ServerSocket (PUERTO);
        socket = new Socket();
    }

    public void iniciar() throws IOException {
        System.out.println("Iniciando servidor");
        while (true) { //bucle infinito para que el servidor no se apague nunca.
            socket = serversocket.accept(); //Para recibir un cliente y establecerlo en esta variable.
            System.out.println("Cliente conectado");
            DataInputStream entrada = new DataInputStream(socket.getInputStream()); //Estamos cogiendo los datos del socket para leer lo que nos envia el cliente.
            DataOutputStream salida = new DataOutputStream(socket.getOutputStream()); //Para mandar datos
            salida.writeUTF("Hola, ¿como te llamas?"); //Para que en lugar de sacar por consola como el Sout, se lo mande al cliente.
            System.out.println("El nombre del usuario es: " + entrada.readUTF());
            salida.writeUTF("¿Cuantas tareas quieres realizar?");
            int entero = entrada.readInt();
            System.out.println("Número de tareas recibidas: " + entero);

        for (int i = 0; i < entero; i++ ) {
            salida.writeUTF("Tarea "+ i + ": ");
            salida.writeUTF("Introduzca la descripción de la tarea: ");
            String detalle = entrada.readUTF();
            System.out.println("Descripción de la tarea número " + i + ": " + detalle);
            salida.writeUTF("Indique el estado de la tarea: ");
            String estado = entrada.readUTF();
            System.out.println("El estado de la tarea número " + i +" es: " + estado);
        }


        }
    }
}

